Bug 1394817 - It's not possible see Network when creating one new compute profile / libvirt computer resource
Summary: It's not possible see Network when creating one new compute profile / libvirt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - libvirt
Version: 6.2.4
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Unspecified
Assignee: Sebastian Gräßl
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 13:49 UTC by Waldirio M Pinheiro
Modified: 2019-08-12 14:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:06:43 UTC


Attachments (Terms of Use)
step by step - video (14.67 MB, application/ogg)
2016-11-14 13:55 UTC, Waldirio M Pinheiro
no flags Details
libvirt networking dropdown (68.82 KB, image/png)
2017-11-17 20:38 UTC, Kedar Bidarkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18468 None None None 2017-02-13 11:02:01 UTC

Description Waldirio M Pinheiro 2016-11-14 13:49:22 UTC
Description of problem:
When creating one new computer profile using as computer resource one libvirt connection, is not possible see the Network available in dropdown menulist, only after submit and open again we can see the network available to this computer resource / provider.

Version-Release number of selected component (if applicable):
6.2.4

How reproducible:
100%

Steps to Reproduce:
1. Create one new libvirt computer resource
2. Infrastructure - Computer Profiles - New Computer Profile - <define name> / submit - <select libvirt computer resource>
3. In Network interfaces section, it's possible to see Network type, Network and NIC type, feel free to change Network type, in Network field still as text box.
4. Click on Submit
5. Reopen the same computer profile and check again the Network field, now it's possible to select via dropdown menu list.

Actual results:
text box

Expected results:
dropdown menu list with network availables

Additional info:

Comment 1 Waldirio M Pinheiro 2016-11-14 13:55:15 UTC
Created attachment 1220429 [details]
step by step - video

Comment 3 Daniel Lobato Garcia 2017-02-13 10:18:21 UTC
Created redmine issue http://projects.theforeman.org/issues/18468 from this bug

Comment 4 pm-sat@redhat.com 2017-02-13 15:04:00 UTC
Upstream bug assigned to sgraessl@redhat.com

Comment 5 pm-sat@redhat.com 2017-02-14 13:04:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18468 has been resolved.

Comment 6 Kedar Bidarkar 2017-11-17 19:20:42 UTC
This issue is now fixed, tested as per steps mentioned in the initial bug description. Verified with Sat6.3-snap24.

Will attach the screenshot shortly

Comment 7 Kedar Bidarkar 2017-11-17 20:38:39 UTC
Created attachment 1354346 [details]
libvirt networking dropdown

As seen from the screenshot the dropdown is visible at creation time too.

Comment 8 Bryan Kearney 2018-02-21 17:06:43 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.